// Simple LCD test nr 2 with LCD 1602, with i2c interface module
//
// Sample code V 1.0 written by Henrik Bruun http://567.dk arduino@567.dk
// Require LiquidCrystal_I2C.h, can be downloaded from http://567.dk 
// 
// Connect SDA to pin A4 and SCL to pin A5 on your Arduino (most types - Check your I2C pinout)
// and the GND + VCC

#include <Wire.h>                   // Use standard Wire.h to do i2c comunication
#include <LiquidCrystal_I2C.h>      // Use non standard LiquidCrystal_I2C.h to LCD
int x = 16;                         // Set length of display
int y = 2;                          // Set rows of display
LiquidCrystal_I2C lcd27(0x27,x,y);   // Set LC display address to 0x27 for a 16 chars and 2 line display 
                                    // Default adress are typical 0x27 or 0x20, Check your dispay datasheet

int chrdelay =200;                  // Delay between chr..
char* msg1 ="Hello world      ";    // Keep string length minimum display length
char* msg2 ="I love ardruinos ";
char* msg3 ="This is line 3!!!";       // Will not be dispalyed on 2 line dispalys
char* msg4 ="!!!!and 4!!!     ";


void setup()
{  
lcd27.init();

// initialize the lcd     
lcd27.backlight();


} 
void loop()
{
for (int j = 0; j < y; j++)
{  
lcd27.setCursor(0, j);                // Set cursor : Top line First Chr

for (int i = 0; i <= x; i++)
{
// lcd27.print (msg1[i])  ;
  
if (j==0)  lcd27.print (msg1[i]);
if (j==1)  lcd27.print (msg2[i]);
if (j==2)  lcd27.print (msg3[i]);
if (j==3)  lcd27.print (msg4[i]);
delay (chrdelay);
}

}  
delay(5000);
lcd27.clear();
}
