// Simple LCD test nr 1 with LCD 1602, with i2c interface module
//
// Sample code V 1.0 written by Henrik Bruun http://567.dk arduino@567.dk
// Require LiquidCrystal_I2C.h, can be downloaded from http://567.dk 
// 
// Connect SDA to pin A4 and SCL to pin A5 on your Arduino (most types - Check your I2C pinout)
// and the GND + VCC

#include <Wire.h>                   // Use standard Wire.h to do i2c comunication
#include <LiquidCrystal_I2C.h> 
LiquidCrystal_I2C lcd(0x27,16,2);   // Set LC display address to 0x27 for a 16 chars and 2 line display 
                                    // Default adress are typical 0x27 or 0x20, Check your dispay datasheet



void setup()
{  
lcd.init();

// initialize the lcd     

// Print a message to the LCD.  
lcd.backlight();  
lcd.setCursor(0, 0);                // Set cursor : Top line First Chr
lcd.print("Hello world");

lcd.setCursor(0, 1);                // Set cursor : second line First Chr
lcd.print("I love arduinos!");


} 
void loop()
{
}
